package com.govmade.modules.system.dao;

import java.util.List;
import java.util.Map;
import java.util.Set;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.govmade.modules.system.entity.DictEntity;

/**
 * 系统管理 - 字典设置
 * 
 * @author Fred
 * @email fangtaosh@qq.com
 * @date 2018年8月7日
 */
@Mapper
public interface DictDao extends BaseMapper<DictEntity> {
	
	List<DictEntity> selectChilds(@Param("pValue") String pValue);
	
	/**
	 * 批量删除或删除
	 */
	void deleteBatch(@Param("ids") Set<Long> ids);
	
	/**
	 * 查询树形数据
	 */
	List<DictEntity> listTree(@Param("params") Map<String, Object> params);
	
}
