package com.govmade.modules.system.dao;

import java.util.List;
import java.util.Map;
import java.util.Set;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.govmade.modules.system.entity.AreaEntity;

/**
 * 系统管理 - 行政区划设置
 * 
 * @author 刘弈臻
 * @date 2018年8月9日
 */
@Mapper
public interface AreaDao extends BaseMapper<AreaEntity> {

	/**
	 * 批量删除或删除
	 */
	void deleteBatch(@Param("ids") Set<Long> ids);
	
	/**
	 * 查询树形数据
	 */
	List<AreaEntity> listTree(@Param("params") Map<String, Object> params);
}
